evas::vg Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
evas::vg Struct Reference

Class vg. More...

## Public Member Functions
| vg (Eo *eo)
| Eo Constructor. More...
| vg (std::nullptr_t)
| nullptr_t Constructor. More...
| vg (vg const &other)
| Copy Constructor.
Efl_VG * | root_node_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_changed_size_hints_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_free_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hide_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hold_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_preloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_unloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_wheel_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_restack_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_show_call (T *info)
| vg (::efl::eo::parent_type _p)
| Constructs a new evas::vg object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from efl::gfx::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | position_get (int *x_, int *y_) const
void | position_set (int x_, int y_) const
void | size_get (int *w_, int *h_) const
void | size_set (int w_, int h_) const
void | color_get (int *r_, int *g_, int *b_, int *a_) const
void | color_set (int r_, int g_, int b_, int a_) const
bool | color_part_get (::efl::eina::string_view part_, int *r_, int *g_, int *b_, int *a_) const
bool | color_part_set (::efl::eina::string_view part_, int r_, int g_, int b_, int a_) const
bool | visible_get () const
void | visible_set (bool v_) const
| base (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::base object. More...
Public Member Functions inherited from efl::gfx::fill
| fill (Eo *eo)
| Eo Constructor. More...
| fill (std::nullptr_t)
| nullptr_t Constructor. More...
| fill (fill const &other)
| Copy Constructor.
Efl_Gfx_Fill_Spread | fill_spread_get () const
void | fill_spread_set (Efl_Gfx_Fill_Spread spread_) const
void | fill_get (int *x_, int *y_, int *w_, int *h_) const
void | fill_set (int x_, int y_, int w_, int h_) const
| fill (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::fill object. More...
Public Member Functions inherited from efl::gfx::stack
| stack (Eo *eo)
| Eo Constructor. More...
| stack (std::nullptr_t)
| nullptr_t Constructor. More...
| stack (stack const &other)
| Copy Constructor.
void | stack_below (::efl::gfx::stack below_) const
void | raise () const
void | stack_above (::efl::gfx::stack above_) const
void | lower () const
short | layer_get () const
void | layer_set (short l_) const
::efl::gfx::stack | below_get () const
::efl::gfx::stack | above_get () const
| stack (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::stack object. More...
Public Member Functions inherited from efl::gfx::view
| view (Eo *eo)
| Eo Constructor. More...
| view (std::nullptr_t)
| nullptr_t Constructor. More...
| view (view const &other)
| Copy Constructor.
void | size_get (int *w_, int *h_) const
void | size_set (int w_, int h_) const
| view (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::view object. More...
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
::eo::base | constructor () const
void | destructor () const
::eo::base | finalize () const
void | wref_add (::eo::base *wref_) const
void | wref_del (Eo_Base **wref_) const
void | key_data_set (::efl::eina::string_view key_, const void *data_) const
void * | key_data_get (::efl::eina::string_view key_) const
void | key_data_del (::efl::eina::string_view key_) const
void | event_thaw () const
void | event_freeze () const
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
void | event_callback_forwarder_add (const Eo_Event_Description *desc_,::eo::base new_obj_) const
void | event_callback_forwarder_del (const Eo_Event_Description *desc_,::eo::base new_obj_) const
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
Eina_Iterator * | children_iterator_new () const
::eo::base | parent_get () const
void | parent_set (::eo::base parent_) const
int | event_global_freeze_count_get () const
int | event_freeze_count_get () const
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...
Public Member Functions inherited from evas::common_interface
| common_interface (Eo *eo)
| Eo Constructor. More...
| common_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| common_interface (common_interface const &other)
| Copy Constructor.
::evas::common_interface | evas_get () const
| common_interface (::efl::eo::parent_type _p)
| Constructs a new evas::common_interface object. More...
Public Member Functions inherited from evas::object
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
bool | clipees_has () const
bool | key_grab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_, bool exclusive_) const
bool | smart_type_check (::efl::eina::string_view type_) const
::evas::object | name_child_find (::efl::eina::string_view name_, int recurse_) const
void | key_ungrab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_) const
void | clip_unset () const
void | smart_move_children_relative (Evas_Coord dx_, Evas_Coord dy_) const
bool | smart_type_check_ptr (::efl::eina::string_view type_) const
void | size_hint_max_get (Evas_Coord *w_, Evas_Coord *h_) const
void | size_hint_max_set (Evas_Coord w_, Evas_Coord h_) const
void | size_hint_request_get (Evas_Coord *w_, Evas_Coord *h_) const
void | size_hint_request_set (Evas_Coord w_, Evas_Coord h_) const
::efl::eina::string_view | type_get () const
void | type_set (::efl::eina::string_view type_) const
void | size_hint_min_get (Evas_Coord *w_, Evas_Coord *h_) const
void | size_hint_min_set (Evas_Coord w_, Evas_Coord h_) const
Evas_Object_Pointer_Mode | pointer_mode_get () const
void | pointer_mode_set (Evas_Object_Pointer_Mode pointer_mode_) const
Evas_Render_Op | render_op_get () const
void | render_op_set (Evas_Render_Op render_op_) const
bool | freeze_events_get () const
void | freeze_events_set (bool freeze_) const
const Evas_Map * | map_get () const
void | map_set (const Evas_Map *map_) const
void | size_hint_aspect_get (Evas_Aspect_Control *aspect_, Evas_Coord *w_, Evas_Coord *h_) const
void | size_hint_aspect_set (Evas_Aspect_Control aspect_, Evas_Coord w_, Evas_Coord h_) const
::evas::object | clip_get () const
void | clip_set (::evas::object clip_) const
void | size_hint_padding_get (Evas_Coord *l_, Evas_Coord *r_, Evas_Coord *t_, Evas_Coord *b_) const
void | size_hint_padding_set (Evas_Coord l_, Evas_Coord r_, Evas_Coord t_, Evas_Coord b_) const
bool | repeat_events_get () const
void | repeat_events_set (bool repeat_) const
void | size_hint_weight_get (double *x_, double *y_) const
void | size_hint_weight_set (double x_, double y_) const
::efl::eina::string_view | name_get () const
void | name_set (::efl::eina::string_view name_) const
double | scale_get () const
void | scale_set (double scale_) const
bool | static_clip_get () const
void | static_clip_set (bool is_static_clip_) const
bool | focus_get () const
void | focus_set (bool focus_) const
bool | is_frame_object_get () const
void | is_frame_object_set (bool is_frame_) const
bool | map_enable_get () const
void | map_enable_set (bool enabled_) const
bool | precise_is_inside_get () const
void | precise_is_inside_set (bool precise_) const
void | size_hint_align_get (double *x_, double *y_) const
void | size_hint_align_set (double x_, double y_) const
bool | propagate_events_get () const
void | propagate_events_set (bool propagate_) const
bool | pass_events_get () const
void | pass_events_set (bool pass_) const
bool | anti_alias_get () const
void | anti_alias_set (bool anti_alias_) const
void * | smart_data_get () const
::evas::object | smart_clipped_clipper_get () const
::efl::eina::crange_list< ::evas::object > | clipees_get () const
::evas::object | smart_parent_get () const
Evas_Display_Mode | size_hint_display_mode_get () const
void | size_hint_display_mode_set (Evas_Display_Mode dispmode_) const
Evas_BiDi_Direction | paragraph_direction_get () const
void | paragraph_direction_set (Evas_BiDi_Direction dir_) const
bool | no_render_get () const
void | no_render_set (bool enable_) const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_changed_size_hints_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_free_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hide_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hold_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_preloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_unloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_wheel_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_restack_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_show_call (T *info)
| object (::efl::eo::parent_type _p)
| Constructs a new evas::object object. More...

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::base
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::fill
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::stack
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::view
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_thaw ()
static void | event_global_freeze ()
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::common_interface
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class vg.

## Constructor & Destructor Documentation

evas::vg::vg | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new evas::vg object.

Constructs a new evas::vg object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

evas::vg my_vg(efl::eo::parent = parent_object);

See also
  vg(Eo* eo)

References efl::eo::parent.

evas::vg::vg | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

evas::vg::vg | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.